Package ru.bitel.bgbilling.apps.inet.accounting.bean

# Class SessionState

java.lang.Object
ru.bitel.bgbilling.apps.inet.accounting.bean.SessionState

    public class SessionState
    extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `java.util.Map<java.lang.Integer,​TrafficAccountDelta>` | `accountDelta` | Наработка по услугам, еще не сброшенная в базу
  `long` | `connectionId` |
  `int` | `deviceId` |
  `int` | `servId` |
  `java.math.BigDecimal` | `sessionCostDelta` | Стоимость сессии, еще не сброшенная в базу. 0.00123
  `long` | `sessionId` |
  `long` | `trafficDeltaCalculateAmount` | Просто трафик по всем услугам для анализа, как скоро нужно обсчитать.
  `long` | `trafficDeltaFlushAmount` | Просто трафик по всем услугам для анализа, как скоро нужно сбросить в базу.
  `java.util.SortedMap<java.lang.Long,​java.util.Map<TrafficAmountKey,​TrafficAmountDelta>>` | `trafficsDelta` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `SessionState()` |

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### servId

    public int servId

  - ### deviceId

    public int deviceId

  - ### connectionId

    public long connectionId

  - ### sessionId

    public long sessionId

  - ### trafficsDelta

    public java.util.SortedMap<java.lang.Long,​java.util.Map<TrafficAmountKey,​TrafficAmountDelta>> trafficsDelta

  - ### trafficDeltaCalculateAmount

    public long trafficDeltaCalculateAmount
    Просто трафик по всем услугам для анализа, как скоро нужно обсчитать.

  - ### trafficDeltaFlushAmount

    public long trafficDeltaFlushAmount
    Просто трафик по всем услугам для анализа, как скоро нужно сбросить в базу.

  - ### accountDelta

    public java.util.Map<java.lang.Integer,​TrafficAccountDelta> accountDelta
    Наработка по услугам, еще не сброшенная в базу

  - ### sessionCostDelta

    public java.math.BigDecimal sessionCostDelta
    Стоимость сессии, еще не сброшенная в базу. 0.00123

- ## Constructor Details

  - ### SessionState

    public SessionState()